LedgerLou Docs ist für Desktop optimiert.

Bitte öffne diese Seite auf einem Gerät mit breiterem Bildschirm.

Bank

Transaktionen filtern und auflisten

Gibt Banktransaktionen zurück, gefiltert nach Konto, Datumsbereich, Abstimmstatus oder Freitext.

GET /v1/bank-transactions
Authorization
Authorization string header erforderlich API-Key im Format ll_.... Übergabe als Bearer Token.
Query-Parameter
bank_account_id uuid optional Nach Bankkonto filtern
start_date string optional Ab Datum (YYYY-MM-DD)
end_date string optional Bis Datum (YYYY-MM-DD)
search string optional Suche in counterparty_name, reference
status string optional "unreconciled", "reconciled" oder "excluded"
limit number optional Max. Ergebnisse (Default: 200, Max: 500)
offset number optional Offset für Paginierung
Antworten
200
Erfolgreich
400
INVALID_INPUT Pflichtfelder fehlen oder Werte entsprechen nicht dem erwarteten Format.
GET /v1/bank-transactions
cURL
-cmd">curl --request -method">GET -punct">\
  --url 'https://api.ledgerlou.de/v1/bank-transactions' -punct">\
  --header 'Authorization: Bearer ll_your_key'
200 Response
JSON
{
  "transactions": [
    {
      "id": "<string>",
      "tx_date": "<string>",
      "amount": 1,
      "counterparty_name": "<string>",
      "reference": "<string>",
      "status": "<string>"
    }
  ],
  "total": 1
}